graphics/py-gnuplot - The NetBSD Packages Collection

Python package that interfaces to gnuplot

Gnuplot.py is a Python package that interfaces to gnuplot, the popular
open-source plotting program. It allows you to use gnuplot from within Python
to plot arrays of data from memory, data files, or mathematical functions. If
you use Python to perform computations or as `glue' for numerical programs, you
can use this package to plot data on the fly as they are computed. And the
combination with Python makes it is easy to automate things, including to
create crude `animations' by plotting different datasets one after another.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/python27 math/py-numpy16 lang/python27 math/py-numpy16

Available binary packages

aarch64:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
aarch64:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
aarch64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
alpha:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
alpha:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
i386:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
i386:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
i386:py27-gnuplot-1.8nb2.tgz(NetBSD 8.0)
i386:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
i386:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
i386:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
powerpc:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
powerpc:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
powerpc:py27-gnuplot-1.8nb2.tgz(NetBSD 8.0)
powerpc:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
powerpc:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
powerpc:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
powerpc:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
x86_64:py27-gnuplot-1.8nb1.tgz(NetBSD 8.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 8.0)
x86_64:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb1.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)
x86_64:py27-gnuplot-1.8nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]